Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.persistence20
Class PersistenceImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.persistence20.PersistenceImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, Persistence<T>

    public class PersistenceImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, Persistence<T>

This class implements the `persistence` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PersistenceImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PersistenceImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<PersistenceUnit<Persistence<T>>>` | `getPersistenceUnitList()` Returns all `persistence-unit` elements
`java.lang.String` | `getVersion()` Returns the `version` element
`PersistenceUnit<Persistence<T>>` | `persistenceUnit()` Returns the `persistence-unit` element
`Persistence<T>` | `removeAllPersistenceUnit()` Removes all `persistence-unit` elements
`Persistence<T>` | `removeVersion()` Removes the `version` attribute
`Persistence<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceImpl

    public PersistenceImpl(T t,
                           java.lang.String nodeName,
                           org.jboss.shrinkwrap.descriptor.spi.Node node)

### PersistenceImpl

    public PersistenceImpl(T t,
                           java.lang.String nodeName,
                           org.jboss.shrinkwrap.descriptor.spi.Node node,
                           org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllPersistenceUnit

    public Persistence<T> removeAllPersistenceUnit()

  Removes all `persistence-unit` elements

  Specified by:
    `removeAllPersistenceUnit` in interface `Persistence<T>`
  Returns:
    the current instance of `Persistence`

### persistenceUnit

    public PersistenceUnit<Persistence<T>> persistenceUnit()

  Returns the `persistence-unit` element

  Specified by:
    `persistenceUnit` in interface `Persistence<T>`
  Returns:
    the node defined for the element `persistence-unit`

### getPersistenceUnitList

    public java.util.List<PersistenceUnit<Persistence<T>>> getPersistenceUnitList()

  Returns all `persistence-unit` elements

  Specified by:
    `getPersistenceUnitList` in interface `Persistence<T>`
  Returns:
    list of `persistence-unit`

### setVersion

    public Persistence<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `Persistence<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `Persistence`

### removeVersion

    public Persistence<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `Persistence<T>`
  Returns:
    the current instance of `Persistence`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `Persistence<T>`
  Returns:
    the node defined for the element `version`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD